### Method

# Gio AppLaunchContext get_environment

since: 2.32

#### Declaration

    char**
    g_app_launch_context_get_environment (
      GAppLaunchContext* context
    )

#### Description

Gets the complete environment variable list to be passed to the child process when `context` is used to launch an application. This is a `NULL`-terminated array of strings, where each string has the form `KEY=VALUE`.

Available since: 2.32

#### Return value

Type: An array of `filename`

    the child's environment.

The array is `NULL`-terminated.
The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a file system path, using the OS encoding.